Bug 590586 - [ml_IN] Title bar and desktop panels are bigger for indic locales
[ml_IN] Title bar and desktop panels are bigger for indic locales
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: smc-fonts (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Pravin Satpute
QE Internationalization Bugs
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 04:52 EDT by Praveen Arimbrathodiyil
Modified: 2010-11-10 16:38 EST (History)
5 users (show)

See Also:
Fixed In Version: smc-fonts-04.2-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:38:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot with en_IN locale (404.33 KB, image/png)
2010-05-10 04:53 EDT, Praveen Arimbrathodiyil
no flags Details
screenshot with ml_IN locale (282.74 KB, image/png)
2010-05-10 04:54 EDT, Praveen Arimbrathodiyil
no flags Details
ligature describing need for extra space below and above (60.65 KB, image/png)
2010-05-14 00:49 EDT, Pravin Satpute
no flags Details
with <times> tag (827.42 KB, image/png)
2010-06-10 07:16 EDT, Praveen Arimbrathodiyil
no flags Details
without <times> tag (844.40 KB, image/png)
2010-06-10 07:18 EDT, Praveen Arimbrathodiyil
no flags Details

  None (edit)
Description Praveen Arimbrathodiyil 2010-05-10 04:52:28 EDT
Description of problem:
There is lot of extra spaces above and below text and the user experience is poor compared to english locale.

Version-Release number of selected component (if applicable):

metacity-2.28.0-15.el6.x86_64

How reproducible:

always

Steps to Reproduce:
1. Select any Indic locale from login screen (eg Malayalam)
2. observe size of desktop panel
3. open any window and observe size of title bar
  
Actual results:
title bar and panel size is bigger with lot of spaces above and below text compared to english locale in the same resolution

Expected results:

similar experience like english locale

Additional info:
Comment 1 Praveen Arimbrathodiyil 2010-05-10 04:53:28 EDT
Created attachment 412760 [details]
screenshot with en_IN locale
Comment 2 Praveen Arimbrathodiyil 2010-05-10 04:54:33 EDT
Created attachment 412761 [details]
screenshot with ml_IN locale
Comment 4 RHEL Product and Program Management 2010-05-10 06:48:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Pravin Satpute 2010-05-14 00:49:28 EDT
Created attachment 413942 [details]
ligature describing need for extra space below and above

this is not metacity issue, this is problem from fonts

reason behind this is font metrics of Meera

Rachana: Ascent: 1638, Descent: 410
Meera:  Ascent: 1147, Descent: 901
Lohit:  Ascent: 650, Descent: 374

some ligature of Meera requires this space

see bug #523454
Comment 6 Praveen Arimbrathodiyil 2010-05-14 01:55:25 EDT
I don't think it is specific to Meera of  Malayalam, we noticed problems with Panjabi and Telugu as well. Latin characters along with Panjabi was even getting cut at the bottom.
Comment 7 Praveen Arimbrathodiyil 2010-05-14 02:11:29 EDT
Title bar is of expected size with other fonts, but we need to fix it for Meera as well.

We know Ascent and Descent of Meera differs from other fonts, but if you look at the values you have given, even though the Descent is more Ascent is proportionally less. So how would that affect this bug?
Comment 8 fujiwara 2010-05-14 02:25:30 EDT
metacity calculates the text height == pango_font_metrics ascent (metrics) + descent (metrics) and my understanding is the metacity is right.
https://bugzilla.redhat.com/show_bug.cgi?id=530085#c16
Comment 9 Bill Nottingham 2010-05-17 11:10:11 EDT
Should this bug be reassigned?
Comment 10 Praveen Arimbrathodiyil 2010-06-10 04:38:07 EDT
for Meera this can be fixed by changing the fontconfig configuration.

current configuration is,

<match target="font">
        <test name="family">
                <string>Meera</string>
        </test>
        <edit name="matrix" mode="assign">
                <times>
                        <name>matrix</name>
                        <matrix>
                                <double>1.2</double><double>0</double>
                                <double>0</double><double>1.2</double>
                        </matrix>
                </times>
        </edit>
</match>

<times> and </times> should be removed.
Comment 11 Pravin Satpute 2010-06-10 05:12:04 EDT
Praveen can you attach images, showing the difference?
Comment 12 Praveen Arimbrathodiyil 2010-06-10 07:16:45 EDT
Created attachment 422867 [details]
with <times> tag
Comment 13 Praveen Arimbrathodiyil 2010-06-10 07:18:21 EDT
Created attachment 422869 [details]
without <times> tag
Comment 15 Pravin Satpute 2010-06-21 01:54:51 EDT
fixed in smc-fonts-04.2-8.el6
Comment 17 A S Alam 2010-09-06 00:23:43 EDT
tag <times> removed from fonts 
tested Package: smc-meera-fonts-04.2-11.el6.noarch
Comment 18 releng-rhel@redhat.com 2010-11-10 16:38:02 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.